UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 2561

ModelSim (MTI) - How do I compile the Xilinx Simulation Libraries for ModelSim for ISE 6.1 and earlier versions of ISE?

Description


How do I compile the Xilinx Simulation Libraries for ModelSim for ISE 6.1 and earlier versions of ISE?

Note: For MXE, do not manually compile the libraries.

Download the latest available MXE libraries at: http://support.xilinx.com/support/mxelibs/

Solution


Xilinx 6.1i, 5.2i, 5.1i Software

Use CompXLib to compile the libraries.

For information on using CompXLib , see (Xilinx Answer 15338).

In 6.1i, CompXLib works on Linux.

In the 5.1i/5.2i software Linux is not supported.

For 5.1i/5.2i, use the following TCL script when running ModelSim on Linux:
 
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_5.tar.gz

Xilinx 4.1i/4.2i Software

A Tcl script is available on the Xilinx FTP site.

This script works with the SE and PE versions of ModelSim.

Note: The TCL script does not compile the VHDL Smart Models.

PC:
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_4.zip

Unix:
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_4.tar.gz

AR# 2561
Date Created 08/21/2007
Last Updated 11/26/2014
Status Active
Type General Article
Tools
  • ISE